Page MenuHomePhabricator

Deploy localized cswiki wordmark on mobile Wikipedia
Closed, ResolvedPublic

Description

In Minerva the logo for the Czech WIkipedia is English. It should be localized.

First idea on interface admins board:
https://cs.wikipedia.org/wiki/Wikipedie:N%C3%A1st%C4%9Bnka_spr%C3%A1vc%C5%AF_rozhran%C3%AD#Logo_WIKIPEDIA

Created logo:
https://commons.wikimedia.org/wiki/File:Wikipedia-wordmark-cs.svg

Consensus asked:
https://cs.wikipedia.org/wiki/Wikipedie:Pod_l%C3%ADpou#Mobiln%C3%AD_logo

Reviewer checklist

Related Objects

Event Timeline

Dvorapa created this task.Dec 3 2018, 9:00 AM
Restricted Application added subscribers: Urbanecm, Aklapper. · View Herald TranscriptDec 3 2018, 9:00 AM

@Dvorapa You need to make localized version. Then, via RfC we need community consensus.

Is there some category of existing official Minerva logos? Because skwiki uses frwiki's logo, I'm pretty sure the logo we need already exists.

Is there some category of existing official Minerva logos? Because skwiki uses frwiki's logo, I'm pretty sure the logo we need already exists.

Maybe this category: https://commons.wikimedia.org/wiki/Category:Text_of_Wikipedia_logo,_v2

Hm, no frwiki in there. novwiki also doesn't have the logo localized. We have to create one

Logo created: https://commons.wikimedia.org/wiki/File:Wikipedia-wordmark-cs.svg
Is really consensus needed when localizing logos? I don't know about anyone who would prefer English logo instead of Czech logo

Logo created: https://commons.wikimedia.org/wiki/File:Wikipedia-wordmark-cs.svg
Is really consensus needed when localizing logos? I don't know about anyone who would prefer English logo instead of Czech logo

I think so too. But because of T165896, I think to consensus is needed.

Aklapper renamed this task from Fix cswiki logo on mobile Wikipedia to Deploy localized cswiki wordmark on mobile Wikipedia.Dec 3 2018, 9:55 AM
Urbanecm claimed this task.Dec 3 2018, 9:59 AM

Czech community prefer localized word, it's consensus exsiting for long time. This is just applying it on another place. I don't think it needs specific vote.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 3 2018, 9:59 AM
Urbanecm triaged this task as Low priority.Dec 3 2018, 9:59 AM
Dvorapa updated the task description. (Show Details)Dec 3 2018, 10:02 AM

Why was the Readers-Web-Backlog tag added? It's up to teams what they decide to work on and have on their workboards...

Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

Ok, as Dvorapa asked for it, marking as blocked here. Will process once consensus is clear.

Urbanecm changed the task status from Open to Stalled.Dec 3 2018, 10:04 AM
Urbanecm moved this task from Unsorted to Single wikis on the Community-consensus-needed board.

Ok, as Dvorapa asked for it, marking as blocked here. Will process once consensus is clear.

Fast current consensus would make the change bulletproof. And as mentioned in srwiki's task, it can help us fix typos in logo or find different issues as well.

Why was the Readers-Web-Backlog tag added? It's up to teams what they decide to work on and have on their workboards...

I copied some task parts from srwiki's task

Also please update logo in mobile apps.

Jdlrobson updated the task description. (Show Details)Dec 11 2018, 6:16 PM
Jdlrobson changed the task status from Stalled to Open.Dec 11 2018, 6:18 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

No consensus should be needed here. I've written about this before on logo changes for other projects - English is the default and that's obviously broken for non-English wikis and the expectation when adding this logo to mobile was that volunteers would update their own projects.

The config that needs updating is wgMinervaCustomLogos in wmf-config/InitialiseSettings.php
(Note adding cswiki to wikipedia-e-acute dblist might be all that's needed here if the French logo is wanted)
All existing logos are here:
https://github.com/wikimedia/operations-mediawiki-config/tree/master/static/images/mobile/copyright

Dvorapa added a comment.EditedDec 11 2018, 7:34 PM

None of these works for Czech Wikipedia, as we write "WikipediE". We share this only with Novial (nov) Wiki. I've already created the version on Commons (see desc.).

Will work on it tomorrow.

Change 479379 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add custom minerva logo for cswiki

https://gerrit.wikimedia.org/r/479379

Change 479963 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use new minerva logos for cswiki in IS.php

https://gerrit.wikimedia.org/r/479963

Scheduled for tomorrow.

Scheduled for tomorrow.

Have you minified the logo? I noticed today @Jdlrobson suggested to minify it.

Scheduled for tomorrow.

Have you minified the logo? I noticed today @Jdlrobson suggested to minify it.

Thanks, just did that.

Change 479379 merged by jenkins-bot:
[operations/mediawiki-config@master] Upload custom minerva logo for cswiki

https://gerrit.wikimedia.org/r/479379

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:08:55Z] <zfilipin@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: [[gerrit:479379|Upload custom minerva logo for cswiki (T210979)]] (duration: 00m 44s)

Change 479963 merged by jenkins-bot:
[operations/mediawiki-config@master] Use new minerva logos for cswiki in IS.php

https://gerrit.wikimedia.org/r/479963

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:15:38Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:479963|Use new minerva logos for cswiki in IS.php (T210979)]] (duration: 00m 45s)

Urbanecm closed this task as Resolved.Dec 17 2018, 12:18 PM

Deployed. In case you think it doesn't work, reopen&comment.